# libdar::fichier Class Reference
[Private]

this is a full implementation of a generic_file applied to a plain file More...

`#include <generic_file.hpp>`

Inherits libdar::generic_file, and libdar::thread_cancellation.

List of all members.

## Public Member Functions
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
bool | skip_relative (S_I x)
| skip relatively to the current position
infinint | get_position ()
| get the current read/write position

## Detailed Description

this is a full implementation of a generic_file applied to a plain file

Definition at line 189 of file generic_file.hpp.

The documentation for this class was generated from the following file:

- generic_file.hpp